Subject: Re: [PATCH net-next 1/1] net: dsa: microchip: Add Microchip KSZ8895 DSA driver

From: Pavel Machek <[email-masked]>
Date: Mon, 20 Nov 2017 11:56:09 +0100

Hi!

> From: Tristram Ha <[email-masked]>
> 
> Add Microchip KSZ8895 DSA driver.
> 
> Signed-off-by: Tristram Ha <[email-masked]>
> Reviewed-by: Woojung Huh <[email-masked]>

Thanks for patches. I installed whole series on top of net-next.

Hardware is:

root@miro:~# cat /proc/cpuinfo
model name   : ARM926EJ-S rev 5 (v5l)
Hardware	  : Freescale MXS (Device Tree)

I added devicetree chunks, and enabled DSA in the config. It seems
switch is detected:

[    4.775934] Micrel KSZ8051 dsa-0.0:00: attached PHY driver [Micrel
KSZ8051] (mii_bus:phy_addr=dsa-0.0:00, irq=POLL)
[    4.885952] Micrel KSZ8051 dsa-0.0:01: attached PHY driver [Micrel
KSZ8051] (mii_bus:phy_addr=dsa-0.0:01, irq=POLL)
[    4.995934] Micrel KSZ8051 dsa-0.0:02: attached PHY driver [Micrel
KSZ8051] (mii_bus:phy_addr=dsa-0.0:02, irq=POLL)
[    5.011484] DSA: tree 0 setup

root@miro:~# ifconfig lan3 192.168.20.103 netmask 255.255.0.0 up
[  131.196667] IPv6: ADDRCONF(NETDEV_UP): lan3: link is not ready
root@miro:~# [  132.225863] ksz8895-switch spi2.0 lan3: Link is Up -
100Mbps/Full - flow control rx/tx
[  132.233939] IPv6: ADDRCONF(NETDEV_CHANGE): lan3: link becomes ready

root@miro:~# ping 192.168.1.1
PING 192.168.1.1 (192.168.1.1): 56 data bytes
^C
--- 192.168.1.1 ping statistics ---
7 packets transmitted, 0 packets received, 100% packet loss
root@miro:~# ifconfig [  149.904234] random: crng init done

But packets do not go through, and there is nothing helpful in
dmesg. Dts part is:

                spi@0 {
                       	compatible = "microchip,ksz8895";
                        spi-max-frequency = <25000000>;
                        reg = <0>;
			// reset-gpios = <&gpio2 8 0>;
                        status = "okay";

                        spi-cpha;
			spi-cpol;
                       ports {
                             #address-cells = <1>;
                             #size-cells = <0>;
                             port@0 {
                                    reg = <0>;
                                    label = "lan1";
                             };
                             port@1 {
                                    reg = <1>;
                                    label = "lan2";
                             };
                             port@2 {
                                    reg = <2>;
                                    label = "lan3";
                             };
                             port@4 {
                                    reg = <4>;
                                    label = "cpu";
                                    ethernet = <&mac0>;
                                    fixed-link {
                                               speed = <100>;
                                               full-duplex;
                                    };
                             };
                       };
		};

I went back to my version of dsa patches, and test above works as
expected.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html